# 
# * 5.8 Генераторы списков (List comprehension)
# 
'''
Подвиг 1. Вводятся вещественные числа в строку через пробел.
Необходимо на их основе сформировать список lst с помощью list comprehension
(генератора списков) из модулей введенных чисел (в списке должны храниться
именно числа, а не строки). Результат вывести на экран в виде списка командой:
print(lst)
Sample Input:
5.56 -8.7 1.0 3.14 77.845
Sample Output:
[5.56, 8.7, 1.0, 3.14, 77.845]
'''

# print([abs(float(x)) for x in input().split()])

'''
Подвиг 2. Вводится семизначное целое положительное число. С помощью list
comprehension сформировать список lst, содержащий цифры этого числа (в списке
должны быть записаны числа, а не строки).
Результат вывести на экран список командой:
print(lst)
Sample Input:
4567397
Sample Output:
[4, 5, 6, 7, 3, 9, 7]
'''
# print([int(x) for x in input()])

'''
Подвиг 3. Вводится натуральное число N. С помощью list comprehension
сформировать двумерный список размером N x N, состоящий из нулей, а по главной
диагонали - единицы. (Главная диагональ - это элементы, идущие по диагонали от
верхнего левого угла матрицы до ее нижнего правого угла). Результат вывести в
виде таблицы чисел как показано в примере ниже.
Sample Input:
4
Sample Output:
1 0 0 0
0 1 0 0
0 0 1 0
0 0 0 1
'''
# n = int(input())
# mtx = [[1 if i == j else 0 for j in range(n)] for i in range(n)]
# [print(*x) for x in mtx]

'''
Подвиг 4. Вводятся названия городов в строку через пробел. Необходимо
сформировать список с помощью list comprehension, содержащий названия длиной
более пяти символов. Результат вывести в строчку через пробел.
Sample Input:
Казань Уфа Москва Челябинск Омск Тур Самара
Sample Output:
Казань Москва Челябинск Самара
'''
# print(*[ct for ct in input().split() if len(ct) > 5])

'''
Подвиг 5. Вводится натуральное число n. Необходимо сформировать список с
помощью list comprehension, состоящий из делителей числа n (включая и само
число n). Результат вывести на экран в одну строку через пробел.
Sample Input:
10
Sample Output:
1 2 5 10
'''
# n = int(input())
# print(*[x for x in range(1, n + 1) if n % x == 0])

'''
Подвиг 6. Вводится натуральное число N. Необходимо сгенерировать вложенный
список с помощью list comprehension, размером N x N, где первая строка
содержала бы все нули, вторая - все единицы, третья - все двойки и так до
N-й строки. Результат вывести в виде таблицы чисел как показано в примере ниже.
Sample Input:
4
Sample Output:
0 0 0 0
1 1 1 1
2 2 2 2
3 3 3 3
'''
# N = int(input())
# m = [[x] * N for x in range(N)]
# [print(*x) for x in m]

'''
Подвиг 7. Вводится список вещественных чисел. С помощью list comprehension
сформировать список, состоящий из элементов введенного списка, имеющих четные 
индексы (то есть, выбрать все элементы с четными индексами). 
Результат вывести на экран в одну строку через пробел.

Sample Input:

8.5 11.3 1.0 -4.5 11.34 6.45
Sample Output:

8.5 1.0 11.34
'''
# print(*[float(x) for i, x in enumerate(input().split()) if i % 2 ==0])

'''
Подвиг 8. Вводятся два списка целых чисел одинаковой длины каждый с новой строки.
С помощью list comprehension сформировать третий список, состоящий из суммы 
соответствующих пар чисел введенных списков. 
Результат вывести на экран в одну строку через пробел.
Sample Input:
1 2 3 4 5
6 7 8 9 10
Sample Output:
7 9 11 13 15
'''
# lst1 = [int(x) for x in input().split()]
# lst2 = [int(x) for x in input().split()]
# print(*[lst1[i] + lst2[i] for i in range(len(lst1))])

'''
Подвиг 9. Вводится список в формате: 
<город 1> <численность населения 1> <город 2> <численность населения 2> ... <город N> <численность населения N>
Необходимо с помощью list comprehension сформировать список lst, содержащий вложенные списки из пар:
<город> <численность населения>
Численность населения - целое число в тыс. человек. Вывести результат на экран в виде списка командой:
print(lst)
Sample Input:
Москва 15000 Уфа 1200 Самара 1090 Казань 1300
Sample Output:
[['Москва', 15000], ['Уфа', 1200], ['Самара', 1090], ['Казань', 1300]]
'''
lst = input().split()
print([[lst[i], int(lst[i + 1])] for i in range(0,len(lst),2)])
